Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neuroph.nnet.learning
Class CompetitiveLearning

    java.lang.Object
      org.neuroph.core.learning.LearningRule
          org.neuroph.core.learning.IterativeLearning
              org.neuroph.core.learning.UnsupervisedLearning
                  org.neuroph.nnet.learning.CompetitiveLearning

All Implemented Interfaces:
  Serializable

    public class CompetitiveLearning

extends UnsupervisedLearning

Competitive learning rule.

Author:
  Zoran Sevarac
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.neuroph.core.learning.IterativeLearning
`currentIteration, iterationsLimited, learningRate, maxIterations`

Fields inherited from class org.neuroph.core.learning.LearningRule
`listeners, neuralNetwork`

Constructor Summary
`CompetitiveLearning()` Creates new instance of CompetitiveLearning

Method Summary
`void` | `doLearningEpoch(DataSet trainingSet)` This method does one learning epoch for the unsupervised learning rules.
`protected void` | `updateNetworkWeights()` Adjusts weights for the winning neuron

Methods inherited from class org.neuroph.core.learning.UnsupervisedLearning
`learnPattern`

Methods inherited from class org.neuroph.core.learning.IterativeLearning
`afterEpoch, beforeEpoch, doOneLearningIteration, getCurrentIteration, getLearningRate, isPausedLearning, learn, learn, onStart, pause, resume, setLearningRate, setMaxIterations`

Methods inherited from class org.neuroph.core.learning.LearningRule
`addListener, fireLearningEvent, getNeuralNetwork, getTrainingSet, isStopped, removeListener, setNeuralNetwork, setTrainingSet, stopLearning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompetitiveLearning

    public CompetitiveLearning()

  Creates new instance of CompetitiveLearning

Method Detail

### doLearningEpoch

    public void doLearningEpoch(DataSet trainingSet)

  This method does one learning epoch for the unsupervised learning rules. It iterates through the training set and trains network weights for each element. Stops learning after one epoch.

  Overrides:
    `doLearningEpoch` in class `UnsupervisedLearning`
  Parameters:
    `trainingSet` - training set for training network

### updateNetworkWeights

    protected void updateNetworkWeights()

  Adjusts weights for the winning neuron

  Specified by:
    `updateNetworkWeights` in class `UnsupervisedLearning`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.